cURL
curl --request GET \
--url https://api.readfile.io/v1.0.1/file/download/{job_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.readfile.io/v1.0.1/file/download/{job_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.readfile.io/v1.0.1/file/download/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}{
"error": 123,
"message": "<string>"
}Endpoints
Download
Downloads the output of a completed job. If you processed your job with the ‘sota’ strategy, you can download any of [html, text, markdown, chunks] output formats. If you processed your file with ‘vision’ or ‘default’, you can only get text back.
GET
/
v1.0.1
/
file
/
download
/
{job_id}
cURL
Authorizations
Path Parameters
The ID of the processing job
Query Parameters
The format of the extraction you want to download. N.B. Only 'text' is supported for 'default' and 'vision' strategies.
Available options:
html, text, markdown, chunks Response
Successfully retrieved the extracted text
A string response, for example if you select 'html', 'markdown', or 'text' as an 'outputFormat', the response will just be a string.